FROM alpine
MAINTAINER Disassembler <disassembler@dasm.cz>

RUN \
 # Install Java 1.8 JRE
 apk --no-cache add openjdk8-jre-base paxctl \
 # Fix grsec attributes to loosen memory protection restrictions
 && paxctl -cm /usr/lib/jvm/java-1.8-openjdk/bin/java \
 && paxctl -cm /usr/lib/jvm/java-1.8-openjdk/bin/keytool \
 && paxctl -cm /usr/lib/jvm/java-1.8-openjdk/jre/bin/java \
 && paxctl -cm /usr/lib/jvm/java-1.8-openjdk/jre/bin/keytool \
 # Cleanup
 && apk --no-cache del paxctl
